com.microsoft.sqlserver.jdbc

## Class SQLServerCallableStatement42

- java.lang.Object
- - com.microsoft.sqlserver.jdbc.SQLServerStatement
  - - com.microsoft.sqlserver.jdbc.SQLServerPreparedStatement
    - - com.microsoft.sqlserver.jdbc.SQLServerCallableStatement
      - - com.microsoft.sqlserver.jdbc.SQLServerCallableStatement42

All Implemented Interfaces:
  ISQLServerCallableStatement, ISQLServerCallableStatement42, ISQLServerPreparedStatement, ISQLServerPreparedStatement42, ISQLServerStatement, AutoCloseable, CallableStatement, PreparedStatement, Statement, Wrapper

    public class SQLServerCallableStatement42
    extends SQLServerCallableStatement
    implements ISQLServerCallableStatement42

This class is separated from SQLServerCallableStatement class in order to resolve compiling error of missing Java 8 Types when running with Java 7. This class will be initialized instead of SQLServerCallableStatement when Java 8 and JDBC 4.2 are used. It shares the same PreparedStatement implementation with SQLServerPreparedStatement42.

### Field Summary

### Fields inherited from class com.microsoft.sqlserver.jdbc.SQLServerStatement

`stmtColumnEncriptionSetting`

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `registerOutParameter(int index, SQLType sqlType)`
`void` `registerOutParameter(int index, SQLType sqlType, int scale)`
`void` `registerOutParameter(int index, SQLType sqlType, int precision, int scale)`
`void` `registerOutParameter(int index, SQLType sqlType, String typeName)`
`void` `registerOutParameter(String parameterName, SQLType sqlType)`
`void` `registerOutParameter(String parameterName, SQLType sqlType, int scale)`
`void` `registerOutParameter(String parameterName, SQLType sqlType, int precision, int scale)`
`void` `registerOutParameter(String parameterName, SQLType sqlType, String typeName)`
`void` `setObject(int index, Object obj, SQLType jdbcType)`
`void` `setObject(int parameterIndex, Object x, SQLType targetSqlType, int scaleOrLength)`
`void` `setObject(int parameterIndex, Object x, SQLType targetSqlType, Integer precision, Integer scale)`
`void` `setObject(int parameterIndex, Object x, SQLType targetSqlType, Integer precision, Integer scale, boolean forceEncrypt)`
`void` `setObject(String sCol, Object obj, SQLType jdbcType)`
`void` `setObject(String sCol, Object obj, SQLType jdbcType, int scale)`
`void` `setObject(String sCol, Object obj, SQLType jdbcType, int scale, boolean forceEncrypt)`

### Methods inherited from class com.microsoft.sqlserver.jdbc.SQLServerCallableStatement

`getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getDate, getDate, getDate, getDate, getDateTime, getDateTime, getDateTime, getDateTime, getDateTimeOffset, getDateTimeOffset, getDouble, getDouble, getFloat, getFloat, getInt, getInt, getLong, getLong, getMoney, getMoney, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getObject, getObject, getObject, getObject, getRef, getRef, getRowId, getRowId, getShort, getShort, getSmallDateTime, getSmallDateTime, getSmallDateTime, getSmallDateTime, getSmallMoney, getSmallMoney, getSQLXML, getSQLXML, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getURL, getURL, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBigDecimal, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDate, setDateTime, setDateTime, setDateTimeOffset, setDateTimeOffset, setDateTimeOffset, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLong, setLong, setMoney, setMoney, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setNString, setNull, setNull, setObject, setObject, setObject, setObject, setObject, setRowId, setShort, setShort, setSmallDateTime, setSmallDateTime, setSmallMoney, setSmallMoney, setSQLXML, setString, setString, setStructured, setStructured, setStructured, setTime, setTime, setTime, setTime, setTime, setTimestamp, setTimestamp, setTimestamp, setTimestamp, setTimestamp, setUniqueIdentifier, setUniqueIdentifier, setURL, wasNull`

### Methods inherited from class com.microsoft.sqlserver.jdbc.SQLServerPreparedStatement

`addBatch, addBatch, clearBatch, clearParameters, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeQuery, executeQuery, executeUpdate, executeUpdate, getMetaData, getParameterMetaData, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBigDecimal, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDate, setDateTime, setDateTime, setDateTimeOffset, setDateTimeOffset, setDateTimeOffset, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLong, setLong, setMoney, setMoney, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setNString, setNull, setNull, setObject, setObject, setObject, setObject, setObject, setRef, setRowId, setShort, setShort, setSmallDateTime, setSmallDateTime, setSmallMoney, setSmallMoney, setSQLXML, setString, setString, setStructured, setStructured, setStructured, setTime, setTime, setTime, setTime, setTime, setTimestamp, setTimestamp, setTimestamp, setTimestamp, setTimestamp, setUnicodeStream, setUniqueIdentifier, setUniqueIdentifier, setURL`

### Methods inherited from class com.microsoft.sqlserver.jdbc.SQLServerStatement

`cancel, clearWarnings, close, closeOnCompletion, execute, execute, execute, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResponseBuffering, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, isWrapperFor, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout, setResponseBuffering, toString, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.microsoft.sqlserver.jdbc.ISQLServerCallableStatement

`getDateTimeOffset, getDateTimeOffset, setDateTimeOffset`

### Methods inherited from interface java.sql.CallableStatement

`getArray, getArray, getBigDecimal, getBigDecimal, getBigDecimal, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getDate, getDate, getDate, getDate, getDouble, getDouble, getFloat, getFloat, getInt, getInt, getLong, getLong, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getObject, getObject, getObject, getObject, getRef, getRef, getRowId, getRowId, getShort, getShort, getSQLXML, getSQLXML, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getURL, getURL, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setNull, setNull, setObject, setObject, setObject, setRowId, setShort, setSQLXML, setString, setTime, setTime, setTimestamp, setTimestamp, setURL, wasNull`

### Methods inherited from interface com.microsoft.sqlserver.jdbc.ISQLServerPreparedStatement

`setDateTimeOffset`

### Methods inherited from interface java.sql.PreparedStatement

`addBatch, clearParameters, execute, executeLargeUpdate, executeQuery, executeUpdate, getMetaData, getParameterMetaData, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setNull, setNull, setObject, setObject, setObject, setRef, setRowId, setShort, setSQLXML, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

### Methods inherited from interface com.microsoft.sqlserver.jdbc.ISQLServerStatement

`getResponseBuffering, setResponseBuffering`

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### registerOutParameter

    public void registerOutParameter(int index,
                                     SQLType sqlType)
                              throws SQLServerException

Specified by:
  `registerOutParameter` in interface `ISQLServerCallableStatement42`
Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### registerOutParameter

    public void registerOutParameter(int index,
                                     SQLType sqlType,
                                     String typeName)
                              throws SQLServerException

Specified by:
  `registerOutParameter` in interface `ISQLServerCallableStatement42`
Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### registerOutParameter

    public void registerOutParameter(int index,
                                     SQLType sqlType,
                                     int scale)
                              throws SQLServerException

Specified by:
  `registerOutParameter` in interface `ISQLServerCallableStatement42`
Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### registerOutParameter

    public void registerOutParameter(int index,
                                     SQLType sqlType,
                                     int precision,
                                     int scale)
                              throws SQLServerException

Specified by:
  `registerOutParameter` in interface `ISQLServerCallableStatement42`
Throws:
  `SQLServerException`

#### setObject

    public void setObject(String sCol,
                          Object obj,
                          SQLType jdbcType)
                   throws SQLServerException

Specified by:
  `setObject` in interface `ISQLServerCallableStatement42`
Specified by:
  `setObject` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### setObject

    public void setObject(String sCol,
                          Object obj,
                          SQLType jdbcType,
                          int scale)
                   throws SQLServerException

Specified by:
  `setObject` in interface `ISQLServerCallableStatement42`
Specified by:
  `setObject` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### setObject

    public void setObject(String sCol,
                          Object obj,
                          SQLType jdbcType,
                          int scale,
                          boolean forceEncrypt)
                   throws SQLServerException

Specified by:
  `setObject` in interface `ISQLServerCallableStatement42`
Throws:
  `SQLServerException`

#### registerOutParameter

    public void registerOutParameter(String parameterName,
                                     SQLType sqlType,
                                     String typeName)
                              throws SQLServerException

Specified by:
  `registerOutParameter` in interface `ISQLServerCallableStatement42`
Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### registerOutParameter

    public void registerOutParameter(String parameterName,
                                     SQLType sqlType,
                                     int scale)
                              throws SQLServerException

Specified by:
  `registerOutParameter` in interface `ISQLServerCallableStatement42`
Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### registerOutParameter

    public void registerOutParameter(String parameterName,
                                     SQLType sqlType,
                                     int precision,
                                     int scale)
                              throws SQLServerException

Specified by:
  `registerOutParameter` in interface `ISQLServerCallableStatement42`
Throws:
  `SQLServerException`

#### registerOutParameter

    public void registerOutParameter(String parameterName,
                                     SQLType sqlType)
                              throws SQLServerException

Specified by:
  `registerOutParameter` in interface `ISQLServerCallableStatement42`
Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### setObject

    public final void setObject(int index,
                                Object obj,
                                SQLType jdbcType)
                         throws SQLServerException

Specified by:
  `setObject` in interface `ISQLServerPreparedStatement42`
Specified by:
  `setObject` in interface `PreparedStatement`
Throws:
  `SQLServerException`

#### setObject

    public final void setObject(int parameterIndex,
                                Object x,
                                SQLType targetSqlType,
                                int scaleOrLength)
                         throws SQLServerException

Specified by:
  `setObject` in interface `ISQLServerPreparedStatement42`
Specified by:
  `setObject` in interface `PreparedStatement`
Throws:
  `SQLServerException`

#### setObject

    public final void setObject(int parameterIndex,
                                Object x,
                                SQLType targetSqlType,
                                Integer precision,
                                Integer scale)
                         throws SQLServerException

Specified by:
  `setObject` in interface `ISQLServerPreparedStatement42`
Throws:
  `SQLServerException`

#### setObject

    public final void setObject(int parameterIndex,
                                Object x,
                                SQLType targetSqlType,
                                Integer precision,
                                Integer scale,
                                boolean forceEncrypt)
                         throws SQLServerException

Specified by:
  `setObject` in interface `ISQLServerPreparedStatement42`
Throws:
  `SQLServerException`